Class | Stella
In: | lib/stella.rb lib/stella/engine.rb lib/stella/report.rb lib/stella/testplan.rb lib/stella/client.rb lib/stella/utils.rb
Parent: | Object

### Methods

canonical_host canonical_uri checkup debug? get ld le li new now quiet? rescue

### Classes and Modules

Module Stella::Asserts
Module Stella::Common
Module Stella::Engine
Module Stella::Utils
Module Stella::VERSION
Class Stella::API
Class Stella::CLI
Class Stella::Client
Class Stella::EventTemplate
Class Stella::ForcedRedirect
Class Stella::HTTPError
Class Stella::Log
Class Stella::PageError
Class Stella::RepeatRequest
Class Stella::Report
Class Stella::RequestError
Class Stella::RequestTemplate
Class Stella::Session
Class Stella::StringTemplate
Class Stella::Testplan
Class Stella::TestplanQuit
Class Stella::Testrun
Class Stella::TimeoutError
Class Stella::Usecase
Class Stella::UsecaseError
Class Stella::UsecaseFail

### Constants

TP | = | Testplan
UC | = | Usecase
RT | = | RequestTemplate
ET | = | EventTemplate
IMAGE_EXT | = | %w/.bmp .gif .jpg .jpeg .png .ico/ unless defined?(Stella::IMAGE_EXT)

### Attributes

agent | [RW] |
debug | [RW] |
log | [RW] |
noise | [RW] |
plan | [R] |
quiet | [RW] |
stdout | [RW] |

### Public Class methods

canonical_host(host)

blamestella.com/ => blamestella.com blamestella.com/ => blamestella.com:443

canonical_uri(uri)
checkup(uri, opts={})
debug?()
get(uri, opts={})
ld(*msg)
le(*msg)
li(*msg)
new(*args)
now()
quiet?()
rescue(&blk)

[Validate]